## SPEC file for PodBrowser

%define version    0.10
%define release    alt1

Name: podbrowser
Version: %version
Release: %release

Summary: a GTK+ documentation browser for Perl
Summary(ru_RU.UTF-8): графическая GTK+ утилита просмотра документации Perl

License: GPL v.2
Group: Development/Perl
URL: http://jodrell.net/projects/podbrowser

Packager: Nikolay A. Fetisov <naf@altlinux.ru>
BuildArch: noarch

Source: http://jodrell.net/files/podbrowser/%name-%version.tar.gz
Patch0: podbrowser-0.10-alt-desktop_file_l10n.patch
Patch1: podbrowser-0.10-alt-Gtk2_init.patch

AutoReqProv: perl, yes
BuildPreReq: perl-devel perl-Gtk2
BuildPreReq: perl-Gtk2-Ex-PrintDialog perl-Gtk2-Ex-PodViewer perl-Gtk2-Ex-Simple-List
BuildPreReq: perl-Locale-gettext perl-Gtk2-GladeXML perl-Storable perl-URI perl-HTML-Parser
  
%description
PodBrowser is a documentation browser for Perl. You can view, 
search and print documentation  for Perl's builtin functions, 
its "perldoc" pages,  pragmatic modules  and the default  and 
user-installed modules.

%description -l ru_RU.UTF-8
PodBrowser  -  графическая утилита просмотра  документации Perl. 
Она позволяем просматривать, искать и распечатывать документацию
по встроенным функциям Perl, руководствам "perldoc", а также 
всем установленным в системе модулям.

%prep
%setup  -n %name-%version
%patch0
%patch1

%__mv -f COPYING COPYING.orig
%__ln_s $(relative %_licensedir/GPL-2 %_docdir/%name/COPYING) COPYING

%build
%make_build PREFIX=%_prefix

%install
%makeinstall PREFIX=%buildroot%_prefix

%post
%update_menus

%postun
%clean_menus

%files
%doc README
%doc --no-dereference COPYING
%_bindir/html2ps-%name
%_bindir/%name
%_desktopdir/%name.desktop
%_iconsdir/hicolor/48x48/apps/%name.png
%_man1dir/%name.*
%_datadir/%name/%name.glade

			
%changelog
* Sat Sep 16 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.10-alt1
- Initial build for ALT Linux Sisyphus

* Thu Aug 10 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.10-alt0
- Initial build
